# $Revision: 1.9 $, $Date: 2006/03/25 18:04:15 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	fsp library
Summary(pl):	Biblioteka fsp
Name:		fsplib
Version:	0.8
Release:	1
License:	BSD-like (see COPYING)
Group:		Libraries
Source0:	http://dl.sourceforge.net/fsp/%{name}-%{version}.tar.gz
# Source0-md5:	3e629fb06c22b029c7ec07e0d7cc7def
URL:		http://fsp.sourceforge.net/fsplib.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is C library which support talking with FSP server using FSP v2
protocol and provides POSIX-like file manipulation interface.

For more information about FSP protocol see
<http://fsp.sourceforge.net/>.

For library and API info see http://fsp.sourceforge.net/fsplib.html .

%description -l pl
To jest biblioteka napisana w C, ktra obsuguje "rozmow" z serwerem
FSP przy uyciu wersji 2 protokou i dostarcza interfejsu operacji na
plikach podobnego do POSIX.

Wicej informacji o protokole FSP mona znale na
<http://fsp.sourceforge.net/>.

Informacje o bibliotece i API znajduj si na
http://fsp.sourceforge.net/fsplib.html .

%package devel
Summary:	Header files for FSP library
Summary(pl):	Pliki nagwkowe biblioteki FSP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FSP library.

%description devel -l pl
Pliki nagwkowe biblioteki FSP.

%package static
Summary:	Static FSP library
Summary(pl):	Statyczna biblioteka FSP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FSP library.

%description static -l pl
Statyczna biblioteka FSP.

%prep
%setup -c -q

%build
autoreconf -i
%{__libtoolize}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fsplib.spec,v $
Revision 1.9  2006/03/25 18:04:15  qboosh
- updated to 0.8 (security fix for off-by-one error)

Revision 1.8  2006/01/11 19:54:14  witekfl
- updated to 0.7

Revision 1.7  2005/06/17 21:11:54  twittner
- cosmetics

Revision 1.6  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.5  2005/06/14 14:14:56  witekfl
- added bcond without static_libs

Revision 1.4  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.3  2005/03/21 20:39:25  qboosh
- desc cosmetics, ac version

Revision 1.2  2005/03/20 16:56:42  darekr
- BR: lt, ac, am

Revision 1.1  2005/03/20 16:48:30  witekfl
- initial release
